View Issue Details

IDProjectCategoryView StatusLast Update
0003190SOGoWeb Calendarpublic2016-07-11 10:20
ReporterJens Erat Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Fixed in Version3.1.4 
Summary0003190: Add user option to show all whole-day appointments
Description

If multiple whole-day appointments exist, only four of them are visible at the same time, to see all of them one must scroll through the list. This is especially an issue for vacation calendars during summer or holiday time, where lots of whole-day appointments exist; checking for a dedicated employee gets tedious.

We could imagine multiple options:

  • make the limit configurable or add a simple toggle to disable the limit
  • add a "toggle" switch directly in the calendar overview which opens all events or limits to four again
  • make the limiter draggable, so users can change the number of whole-day-events as they wish

The last two options should be persisted somehow, at least for the current session, better longer.

TagsNo tags attached.

Activities

Christian Mack

Christian Mack

2015-10-15 03:42

developer   ~0009007

Last edited: 2015-10-15 03:47

In private emails with Inverse we came to the conclusion to add a button, which switches between:

  • the current views (day, multi day, week) with max 4 whole day events and scroll bars if there are more of them, with the time delimited events below.
  • views which show all whole day events independent of how many there are, but do not show the time delimited events.

The button should be available as long as there are more than the 4 whole day event per day in the current view, to avoid user confusion. This means if any day in the week view has more than 4 whole day events, the button has to show up for the complete view, not for single days.

Christian Mack

Christian Mack

2016-07-08 08:07

developer   ~0010484

The toggle button moves out of screen, if you have enough whole day events.
You also can not scroll down to the events at the bottom.
See screenshot.

Christian Mack

Christian Mack

2016-07-08 08:07

developer  

SOGo3-whole_day_toggle.png (184,376 bytes)   
SOGo3-whole_day_toggle.png (184,376 bytes)   

Related Changesets

sogo: master 9d2647d8

2016-07-11 10:19:31

francis

Details Diff
(css) Fix scrolling of all-day events

Fixes 0003190
Affected Issues
0003190
mod - NEWS Diff File
mod - UI/WebServerResources/scss/views/SchedulerUI.scss Diff File

Issue History

Date Modified Username Field Change
2015-04-29 05:45 Jens Erat New Issue
2015-10-15 03:42 Christian Mack Note Added: 0009007
2015-10-15 03:47 Christian Mack Note Edited: 0009007
2016-05-06 14:49 ludovic Status new => resolved
2016-05-06 14:49 ludovic Fixed in Version => 3.1.0
2016-05-06 14:49 ludovic Resolution open => fixed
2016-05-06 14:49 ludovic Assigned To => ludovic
2016-07-08 08:07 Christian Mack Note Added: 0010484
2016-07-08 08:07 Christian Mack Status resolved => feedback
2016-07-08 08:07 Christian Mack Resolution fixed => reopened
2016-07-08 08:07 Christian Mack File Added: SOGo3-whole_day_toggle.png
2016-07-11 10:19 francis Changeset attached => sogo master 9d2647d8
2016-07-11 10:20 francis Status feedback => resolved
2016-07-11 10:20 francis Fixed in Version 3.1.0 => 3.1.4
2016-07-11 10:20 francis Resolution reopened => fixed